この文章は Salesforce 機械翻訳システムを使用して翻訳されました。詳細はこちらをご参照ください。
英語に切り替える

指定されたオブジェクトのレイアウトと説明の取得

単一オブジェクトのレイアウトとその説明のリストを取得します。

構文

URI
/services/data/vXX.X/sobjects/sObject/describe/layouts/
形式
JSON、XML
HTTP のメソッド
GET
認証
Authorization: Bearer token
パラメータ
不要

リクエストの例
1curl https://MyDomainName.my.salesforce.com/services/data/v58.0/sobjects/Battle_Station__c/describe/layouts/ -H "Authorization: Bearer token"
レスポンスボディの例
1{
2  "layouts" : [ {
3    "buttonLayoutSection" : {
4      "detailButtons" : [
5          ...
6      ]
7    },
8    "detailLayoutSections" : [
9        ...
10    ],
11    "editLayoutSections" : [
12        ...
13    ],
14    "feedView" : null,
15    "highlightsPanelLayoutSection" : null,
16    "id" : "00ho000000BKMebAAH",
17    "multirowEditLayoutSections" : [ ],
18    "offlineLinks" : [ ],
19    "quickActionList" : {
20      "quickActionListItems" : [
21          ...
22      ]
23    },
24    "relatedContent" : null,
25    "relatedLists" : [
26        ...
27    ],
28    "saveOptions" : [ ]
29  } ],
30  "recordTypeMappings" : [
31      ...
32  ],
33  "recordTypeSelectorRequired" : [ false ]
34}